iio_reg(1)

NAME
iio_reg - do a low level read or write to SPI or I2C register

SYNOPSIS
iio_reg [ options ] <device> <register> [<value>]

DESCRIPTION
iio_reg is a utility for debugging local IIO devices. It should not be used by normal users, and is normally used by driver developers during development, or by end users debugging a driver, or sending in a feature request. It provides a mechanism to read or write SPI or I2C registers for IIO devices. This can be useful when troubleshooting IIO devices, and understanding how the Linux IIO subsystem is managing the device. This IIO utility does not work across a network or USB context.

OPTIONS

-h, --help
    Tells iio_reg to display some help, and then quit.

RETURN VALUE
If the specified device is not found, a non-zero exit code is returned.

SEE ALSO
iio_attr(1), iio_info(1), iio_readdev(1), iio_reg(1), iio_writedev(1), libiio(3)

libiio home page: https://wiki.analog.com/resources/tools-software/linux-software/libiio

libiio code: https://github.com/analogdevicesinc/libiio

Doxygen for libiio https://analogdevicesinc.github.io/libiio/

BUGS
All bugs are tracked at: https://github.com/analogdevicesinc/libiio/issues